#include <Arduino.h>
#include <Servo.h>
#include "P19.h"

static const int servosPins[6] = {SERVO1, SERVO2, SERVO3, SERVO4, SERVO5, SERVO6};

Servo servos[6];

void setServos(int degrees)
{
  for (int i = 0; i < 6; ++i)
  {
    servos[i].write((degrees + (35 * i)) % 180);
  }
}

void setup()
{
  Serial.begin(115200);

  for (int i = 0; i < 6; ++i)
  {
    pinMode(servosPins[i],OUTPUT);

    if (!servos[i].attach(servosPins[i]))
    {
      Serial.print("Servo ");
      Serial.print(i);
      Serial.println("attach error");
    }
  }
}

void loop()
{
  for (int posDegrees = 0; posDegrees <= 180; posDegrees++)
  {
    setServos(posDegrees);
    Serial.println(posDegrees);
    delay(20);
  }

  for (int posDegrees = 180; posDegrees >= 0; posDegrees--)
  {
    setServos(posDegrees);
    Serial.println(posDegrees);
    delay(20);
  }
}
